program WEIGHING;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var i1,t,i,n:longint;      
begin
assign (input, 'WEIGHING.in');
reset (input);
read (t);
for i1:=1 to t do
  begin
     read(n); i:=0;
     if n div 2 = 0 then begin
   repeat
     n:=n div 2;
i:=i+1;
       until n<=1; writeln (i);end else writeln ('1');

    end;


end.
